import { Relation, RelationWrite, RelationWritePatch, WrappedRelation, WrappedWithMetaArrayRelation } from "../api.js";
import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class RelationsClient {
    private client;
    constructor(basePath: string, auth: Auth, queryOptions: QueryOptions);
    create(relation: RelationWrite): Promise<WrappedRelation>;
    get(id: string, query?: GetQueryParams): Promise<WrappedRelation>;
    find(findParams?: FindQueryParams<Relation>): Promise<WrappedWithMetaArrayRelation>;
    patch(id: string, relation: RelationWritePatch): Promise<WrappedRelation>;
}
