import { RoleAssignment, RoleAssignmentWrite, RoleAssignmentWritePatch, WrappedRoleAssignment, WrappedWithMetaArrayRoleAssignment } from "../api.js";
import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class RoleAssignmentsClient {
    private client;
    constructor(basePath: string, auth: Auth, queryOptions: QueryOptions);
    create(affiliation: RoleAssignmentWrite): Promise<WrappedRoleAssignment>;
    get(id: string, query?: GetQueryParams): Promise<WrappedRoleAssignment>;
    find(findParams?: FindQueryParams<RoleAssignment>): Promise<WrappedWithMetaArrayRoleAssignment>;
    patch(id: string, affiliation: RoleAssignmentWritePatch): Promise<WrappedRoleAssignment>;
    remove(id: string): Promise<WrappedRoleAssignment>;
}
