"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const helpers_js_1 = require("./helpers.js");
const api_js_1 = require("../api.js");
describe("Groups", () => __awaiter(void 0, void 0, void 0, function* () {
    beforeEach(() => __awaiter(void 0, void 0, void 0, function* () {
        yield helpers_js_1.client.refreshTestData();
    }));
    it("Groups find", () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield helpers_js_1.client.groups.find();
        chai_1.assert.isNotEmpty(result.data);
    }));
    it("Groups create", () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield helpers_js_1.client.groups.create({
            name: "Test",
            type: api_js_1.GroupType.Dynamic,
            rule: `{"displayName": {"_gt": "A"}}`,
            tags: ["Notifications"],
        });
        chai_1.assert.equal(result.data.name, "Test");
        chai_1.assert.equal(result.data.rule, `{"displayName": {"_gt": "A"}}`);
    }));
    it("Groups add member", () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield helpers_js_1.client.groups.addMember(helpers_js_1.groupUid, {
            personUid: helpers_js_1.child1Uid,
        });
        chai_1.assert.equal(result.data.personUid, helpers_js_1.child1Uid);
        chai_1.assert.equal(result.data.groupUid, helpers_js_1.groupUid);
    }));
    it("Groups find members", () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield helpers_js_1.client.groups.findMembers(helpers_js_1.groupUid);
        chai_1.assert.isNotEmpty(result.data);
    }));
}));
