import { Group, GroupMember, GroupMemberWrite, GroupWrite, GroupWritePatch, WrappedGroup, WrappedGroupMember, WrappedWithMetaArrayGroup, WrappedWithMetaArrayGroupMember } from "../api.js";
import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class GroupsClient {
    private client;
    private auth;
    private basePath;
    private queryOptions;
    constructor(basePath: string, auth: Auth, queryOptions: QueryOptions);
    create(group: GroupWrite): Promise<WrappedGroup>;
    remove(id: string): Promise<WrappedGroup>;
    get(id: string, query?: GetQueryParams): Promise<WrappedGroup>;
    find(findParams?: FindQueryParams<Group>): Promise<WrappedWithMetaArrayGroup>;
    patch(id: string, group: GroupWritePatch): Promise<WrappedGroupMember>;
    private getGroupMembersClient;
    getMember(groupUid: string, memberUid: string, query?: GetQueryParams): Promise<WrappedGroupMember>;
    findMembers(groupUid: string, findParams?: FindQueryParams<GroupMember>): Promise<WrappedWithMetaArrayGroupMember>;
    addMember(groupUid: string, member: GroupMemberWrite): Promise<WrappedGroupMember>;
    removeMember(groupUid: string, memberUid: string): Promise<WrappedGroupMember>;
}
