import { Person, PersonWrite, PersonWritePatch, WrappedPerson, WrappedWithMetaArrayPerson } from "../api.js";
import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class PersonsClient {
    private client;
    constructor(basePath: string, auth: Auth, queryOptions: QueryOptions);
    create(person: PersonWrite): Promise<WrappedPerson>;
    remove(id: string): Promise<WrappedPerson>;
    get(id: string, query?: GetQueryParams): Promise<WrappedPerson>;
    find(findParams?: FindQueryParams<Person>): Promise<WrappedWithMetaArrayPerson>;
    patch(id: string, person: PersonWritePatch): Promise<WrappedPerson>;
}
